<?php
//v1.0.4 www.bcoos.net 2006/10 GPL
// www.bcoos.net 2006-09 1.0.2 GPL
//v1.2 www.exoops.info 2006/03 
// $Id: display.php,v 1.11 2004/01/22 10:33:58 nobse Exp $
// ------------------------------------------------------------------------- //
//               E-Xoops: Content Management for the Masses                  //
//                       < http://www.e-xoops.com >                          //
// ------------------------------------------------------------------------- //
// Original Author: Nobse, Bama
// Author Website : http://www.e-xoops.de, http://service.bama-webdesign.de
// License Type   : GPL: See /manual/LICENSES/GPL.txt
// ------------------------------------------------------------------------- //
include("header.php");


$month = !empty($_POST['month']) ? $_POST['month'] : $_GET['month'];
$year = !empty($_POST['year']) ? $_POST['year'] : $_GET['year'];
$day = !empty($_POST['day']) ? $_POST['day'] : $_GET['day'];
$katid = !empty($_POST['katid']) ? $_POST['katid'] : $_GET['katid'];
$month1 = !empty($_POST['month1']) ? $_POST['month1'] : $_GET['month1'];
$year1 = !empty($_POST['year1']) ? $_POST['year1'] : $_GET['year1'];
$day1 = !empty($_POST['day1']) ? $_POST['day1'] : $_GET['day1'];

$bcoosConfig['title'] .= " - ". $day."-".$month."-".$year;

include(XOOPS_ROOT_PATH."/header.php");

if ($xoopsUser) {
	$useroffset = $xoopsUser->getVar("timezone_offset");
} else {
	$useroffset = $bcoosConfig['default_TZ'];
}

$usertimevent = (time() + (($useroffset - ($bcoosConfig['server_TZ'] - date('I'))) * 3600));
$currentday = date("j", $usertimevent);
$currentmonth = date("m", $usertimevent);
$currentyear = date("Y", $usertimevent);

$lastseconds = mktime(0,0,0,$month,$day,$year)-(24*60*60);
$lastday = date('j', $lastseconds);
$lastmonth = date('m', $lastseconds);
$lastyear = date('Y', $lastseconds);
$nextseconds = mktime(0,0,0,$month,$day,$year)+(24*60*60);
$nextday = date('j', $nextseconds);
$nextmonth = date('m', $nextseconds);
$nextyear = date('Y', $nextseconds);

if ($katid) {
    $abfrage =" stamp >= \"$year1-$month1-$day1 00:00:00\" AND cid=$katid AND valid ='yes'";
	$kat1 = $db->query("SELECT title, cid FROM ".$db->prefix("ecal_cat")." where cid=$katid");
	list($kattitle) = $db->fetchRow($kat1);
	
}else{
	$abfrage =" stamp >= \"$year-$month-$day 00:00:00\" AND stamp <= \"$year-$month-$day 23:59:59\" AND valid ='yes'";
}
OpenTable();
$temp_nextday = date("j",strtotime("+1 day",$usertimevent));
    if ( date('j m Y') == $day." ".$month." ".$year ){define("_NAVPAGE","TODAY");}
    if ( $day." ".$month." ".$year == $temp_nextday." ".$month." ".$year ){define("_NAVPAGE","TOMORROW");}

include ("include/nav.php");

		echo "<table border='0' width='100%' class='bg3'><tr>";
        echo "<td align='left'>";
        form_last_day($lastday, $lastmonth, $lastyear);
        echo "</td>";
		
		if ($katid) {
		    echo "<td align='center'><b>"._CAL_ALLKATEVENT.$kattitle."</b></td>";
			
		}else{
			echo "<td align='center'><b>$day ";
			echo getMonthName($month);
			echo " $year</b></td>";
		}
		echo "<td align='right'>";
        form_next_day($nextday, $nextmonth, $nextyear);
        echo "</td></tr></table>";
       	
		$query = $db->query("SELECT * FROM ".$db->prefix("ecal")." WHERE $abfrage ORDER BY stamp");
		$results=$db->getRowsNum($query);
		
		if (!$results ) {
			echo "<BR><CENTER><B>"._NOEVENTDAY."</B></CENTER><BR>";
		} else {

        while ($row = $db->fetchArray($query)){
						
			$nomuser = $row['username'];
 			$auteur = $db->query("SELECT uid FROM ".$db->prefix("users")." where uname='$nomuser'");
			list($uid) = $db->fetchRow($auteur);
			
			$kat = $db->query("SELECT title, cid FROM ".$db->prefix("ecal_cat")." where cid=".$row['cid']);
			$kategorie = $db->fetchArray($kat);
			
			$locat = $db->query("SELECT lid, location, email, url FROM ".$db->prefix("ecal_location")." where lid=".$row['locationid']);
			$location = $db->fetchArray($locat);
			
			$Calanddate = $row['stamp'];
			$Calanddate = strftime(_EVEDATESTRING,strtotime($Calanddate));
			$heurmin = strftime(_EVETIME,strtotime($Calanddate));
			$date = strftime(_EVEDATESHORT,strtotime($Calanddate));
			
			include ("include/displayform.php");			
		}
	}

				echo "<table border=0 width='100%' cellpadding='2' cellspacing='0'><tr class='bg3'>";
        echo "<td align='left'>";
        form_last_day($lastday, $lastmonth, $lastyear);
        echo "</td>";        
		if ($xoopsUser) {
			$group = $xoopsUser->groups();
    		}else{
			$group[] = 3;
		}
		$anno = explode("|", $anoevent);
		$is = array_intersect ($group, $anno);
		
		
		if (count($is) > 0) {
            echo "<td align='center'>";
            form_add_event($month, $year);
            echo "</td>";   
		} else {
            echo "<td>&nbsp;</td>";
		}
		echo "<td align='right'>";
        form_next_day($nextday, $nextmonth, $nextyear);
        echo "</td></tr></table>";
CloseTable();
include(XOOPS_ROOT_PATH."/footer.php");
?>